<?php
require("../../e/class/connect.php");
require("../../e/class/db_sql.php");
require("../../e/member/class/user.php");
require("../class/fun.php");
$type='0'; // 0 为全部发送 1为站内信发送 2为邮件发送  此选项测试时使用
$isset='0'; //设置是否生效 0为get方式获取  1为在上行设置
$delhavesend='0';  //设置是否删除已发送队列 0为不删除 1为删除
$retasktime=1200;  //任务刷新秒数 ， 开启本页面可自行刷新
/*此处设置发送的信息内容*/
$listtemp='
Hi! [!--nickname--]，你在[!--sitename--]订阅的【[!--title--]】在[!--newstime--]更新了，如果一直在期待，那就马上来看吧！<br />
<a href="[!--titleurl--]" title="[!--title--]">【点此观看】</a><br />
此致<br />
[!--sitename--]运营团队.<br />
[!--newsurl--]
';
if(!$isset){
	$type=(int)$_GET[type];
}
$type=$type?$type:0;
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
@include(ECMS_PATH.'e/class/SendEmail.inc.php');

$selsenddata="select * from {$dbtbpre}movie_remind_send where havesend=0 order by id asc ";
$query=$empire->query($selsenddata);
	while($sdr=$empire->fetch($query)){
				$users=$sdr[users];
				$usersr=explode(',',$users);
				$usertotal=count($usersr);
				$id=$sdr[movieid];
				$classid=$sdr[classid];
				/*读取更新的信息内容*/
				$infor=$empire->fetch1("select title,titleurl,typeset,newstime from {$dbtbpre}ecms_movie where classid='$classid' and id='$id' ");
				$title=$infor[title];
				$titleurl=$infor[titleurl];
				$typeset=$infor[typeset];
				$newstime=date('Y-m-d H:s:s',$infor[newstime]);
		
		
				
		for($i=0;$i<$usertotal;$i++){
					$userid=$usersr[$i];
						
					$nickname=getnickname($userid);
					$username=getusername($userid);
					$from_username='';
					$from_userid='';
					$issys=1;
					$isadmin=1;
					$temp=$listtemp;
					$temp=str_replace('[!--nickname--]',$nickname,$temp);
					$temp=str_replace('[!--sitename--]',$public_r[sitename],$temp);
					$temp=str_replace('[!--title--]',$title,$temp);
					$temp=str_replace('[!--titleurl--]',$titleurl,$temp);
					$temp=str_replace('[!--newstime--]',$newstime,$temp);
					$temp=str_replace('[!--newsurl--]',$public_r[newsurl],$temp);
			        $remindset=getremindset($userid);	
					
			if($type==2||$type==0){		
					if($remindset[sendemail]){
						$email=$remindset[email];
						if($email&&chemail($email)){
						$sm=EcmsToSendMail($email,'['.$public_r[sitename].']订阅提醒',$temp);	
						//echo '发送邮件给USERID=>'.$userid.'成功！<br />';
						}
					}
			}
			if($type==1||$type==0){	
					if($remindset[sendmsg]){
						
						$sm=remind_sendmsg($userid,$username,'【'.$title.'】更新啦！',$temp);	
						//echo '发送短信给USERID=>'.$userid.'成功！<br />';
					}					
				
			}
		}//for
		$havesend=$empire->query("update {$dbtbpre}movie_remind_send set havesend='1' where classid='$classid' and id='$id'");
		if($havesend) echo '发送订阅信息ID=>'.$id.'完成！<br />';
	 }
	 
if($delhavesend){
		$query="delete from {$dbtbpre}movie_remind_send where havesend=1";
		$up=$empire->query($query);
		if($up){ echo '清除发送信息成功<br />';}
}
	 
	 echo '<hr>运行完毕';
	 $empire=NULL;
	 db_close();
	 echo"<meta http-equiv=\"refresh\" content=\"".$retasktime.";url=sendremind.php?type=".$type."\">";
?>